////////////////////////////////////////////////////////////////////////////////
//Copyright (c) 2006
//	Adam Sarzyski
//	adamusx@tlen.pl
//  adam@wobit.com.pl
////////////////////////////////////////////////////////////////////////////////

#ifndef _MAIN_H_
#define _MAIN_H_


////////////////////////////////////////////////////////////////////////////////
//pliki naglowkowe standardowych bibliotek
////////////////////////////////////////////////////////////////////////////////

#ifdef WINAVR20050214
#include <avr/signal.h>
#include <avr/delay.h>
#include <avr/parity.h>
#else
#include <util/delay.h>
#include <util/parity.h>
#endif

#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/eeprom.h>
#include <compat/twi.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>





////////////////////////////////////////////////////////////////////////////////
//Wlasne pliki naglowkowe
////////////////////////////////////////////////////////////////////////////////
#include <TWI_Master.h>
#include <Sonar_TWI.h>
#include <Uart.h>

////////////////////////////////////////////////////////////////////////////////
// Diody LED
////////////////////////////////////////////////////////////////////////////////
#define LED_1_ON PORTD&=~(1<<4)
#define LED_1_OFF PORTD|=(1<<4)
#define LED_2_ON PORTD&=~(1<<5)
#define LED_2_OFF PORTD|=(1<<5)
#define LED_3_ON PORTD&=~(1<<6)
#define LED_3_OFF PORTD|=(1<<6)
#define LED_4_ON PORTD&=~(1<<7)
#define LED_4_OFF PORTD|=(1<<7)




unsigned int dystans_sonar_1;
unsigned int dystans_sonar_2;
void interpreter(unsigned char *cmd);
void help(void);

////////////////////////////////////////////////////////////////////////////////////////////////
#endif//_MAIN_H_
