#ifndef _SONAR_TWI_H_
#define _SONAR_TWI_H_


// Komendy TWI sterujce sonarem
#define TWI_CMD_MASTER_WRITE    0x10	
    #define TWI_CMD_auto_mes         0x01
    #define TWI_CMD_manual_mes       0x02
    #define TWI_CMD_compare_level    0x03
    #define TWI_CMD_pulse_number     0x04
    #define TWI_CMD_max_distance     0x05
    #define TWI_CMD_threshold_level  0x06
    #define TWI_CMD_sleep            0x07
    #define TWI_CMD_auto_sleep       0x08
    
#define TWI_CMD_MASTER_READ  0x20
#define TWI_CMD_CHECK_PARAM  0x30
#define TWI_CMD_TEST_CMD     0x40
    #define TEST_VALUE 123

void sonar_request_auto(unsigned char SONAR_ADR);
void sonar_request(unsigned char SONAR_ADR);
void sonar_set_pulse_number(unsigned char pulse_number,unsigned char SONAR_ADR);
void sonar_set_max_distance(unsigned int distance,unsigned char SONAR_ADR);
void sonar_set_sense(unsigned char sense,unsigned char SONAR_ADR);
void sonar_set_treshold_level(unsigned int treshold_level,unsigned char SONAR_ADR);
void sonar_sleep(unsigned char SONAR_ADR);
void sonar_auto_sleep(unsigned char AutoSleep_ON_OFF, unsigned char SONAR_ADR);

int sonar_gets_distance(unsigned char SONAR_ADR);	
void sonar_gets_parameters(unsigned char SONAR_ADR);

unsigned char ilosc_impulsow;
unsigned char wzmocnienie;


int wynik;


#endif //sonar_TWI

